# This module is part of the Lupy project and is Copyright 2003 Amir
# Bakhtiar (amir@divmod.org). This is free software; you can redistribute
# it and/or modify it under the terms of version 2.1 of the GNU Lesser
# General Public License as published by the Free Software Foundation.

class DocumentFieldEnumeration(object):
    __slots__ = ['fields']

    def __init__(self, d):
        self.fields = d.fieldList

    def hasMoreElements(self):
        if self.fields is None:
            return False
        else:
            return True

    def nextElement(self):
        result = self.fields.field
        self.fields = self.fields.next
        return result
