# This module is part of the Lupy project and is Copyright 2003 Amir
# Bakhtiar (amir@divmod.org). This is free software; you can redistribute
# it and/or modify it under the terms of version 2.1 of the GNU Lesser
# General Public License as published by the Free Software Foundation.

import lupy.util.priorityqueue

class PhraseQueue(lupy.util.priorityqueue.PriorityQueue):
    def lessThan(self, this, that):
        if this.doc == that.doc:
            return this.position < that.position
        else:
            return this.doc < that.doc
