# This module is part of the Lupy project and is Copyright 2003 Amir
# Bakhtiar (amir@divmod.org). This is free software; you can redistribute
# it and/or modify it under the terms of version 2.1 of the GNU Lesser
# General Public License as published by the Free Software Foundation.

from lupy.index.indexreader import IndexReader
from lupy.index.term import Term

if __name__ == "__main__":
    """One shot delete.
    Opens and closes the index on every query.
    """
  
    index = IndexReader.open('aesopind')
    t = Term('text', 'fox')
    index.deleteTerm(t)  
    index.close()
