# This module is part of the Lupy project and is Copyright 2003 Amir
# Bakhtiar (amir@divmod.org). This is free software; you can redistribute
# it and/or modify it under the terms of version 2.1 of the GNU Lesser
# General Public License as published by the Free Software Foundation.

import phrasescorer

class ExactPhraseScorer(phrasescorer.PhraseScorer):
    
    def phraseFreq(self):
        # sort list with pq
        pp = self.first
        while pp is not None:
            pp.firstPosition()
            self.pq.put(pp)
            pp = pp.nxt
        self.pqToList()
        freq = 0.0
        
        init = 0
        # this is a do-while loop in Lucene
        while init == 0 or self.last.nextPosition():
            while self.first.position < self.last.position:
                # scan forward in first
                init2 = 0
                while init2 == 0 or self.first.position < self.last.position:
                    if not self.first.nextPosition():
                        return freq
                    init2 += 1
                self.firstToLast()
            # all equal: a match
            init += 1
            freq += 1
            
        return freq
        
        
    
